#### quit
Does what it says.

#### info [\<new-grid-name\>] [\<new-info\>]
Show and/or edit information of the grid. This option could be used to assign new name and information to the grid. If the input name or information contain spaces, enclose them with quotes.

#### init \<new-file\> \<xnum\> \<ynum\> \<xmin\> \<ymin\> \<dx\> \<dy\> [\<info\>]
(Re)create a new grid. 'xnum' and 'ynum' are point numbers on the x and y directions. 
'xmin' and 'ymin' are the minimal values of the grid's coordinates. 'dx' and 
'dy' are the grid spacings. Extra 'info' about the new grid could be added here.
Mathematic expresstions could be used to specify the grid ranges.

#### open binary|netcdf|surfer \<file\>
1. `open binary <file>` Open a grid stored in the GCTL native binary format (.2m file).
2. `open netcdf <file> [<x-name> <y-name>] [<data-name>] [node|cell]` Open a grid stored in the netCDF format. 'node' (default) or 'cell' indicates whether the input grid data should be node or cell registed. names of the input grid's x-axial and y-axial should be given id they are not 'x' and 'y'. A \<data-name\> could be given to read the specficed data. Otherwise all grid data will be readed.
3. `open surfer <file> [<new-data-name>] [surfer6-text|surfer6-binary|surfer7] [node|cell]` Open a grid stored in the Surfer formats. 'node' (default) or 'cell' indicates whether the input grid data should be node or cell registed. 'surfer6-text' (default), 'surfer6-binary' and 'surfer7' are the expected grid format. Since no data name is stored in the Surfer grid, a new data name could be given.

#### save binary|netcdf|surfer|gmsh \<file\>
1. `save binary <file>` Save the grid using the GCTL native binary format (.2m file).
2. `save netcdf <file> [<data-name>|node|cell] [xname] [yname]` Save grid data using the netCDF format. A \<data-name\> could be given to write the specficed data. Use 'node' (default) or 'cell' to write all node or cell registed data, respectively.
3. `save surfer <file> <data-name> [surfer6-text|surfer6-binary|surfer7]` Save grid data using the Surfer format. A \<data-name\> must be given to write the specficed data. 'surfer6-text', 'surfer6-binary' and 'surfer7' are the outputing grid format.
4. `save gmsh <file>` Save the grid using the Gmsh legacy format. This command will write all data that are allowed for outputing.
5. `save text <file>` Save the grid data to text file.

#### cloud \<new-data-name\> node|cell \<data-could-file\> \<search-x\> \<search-y\> \<search-deg\>  [\<text_descriptor\>]
Import a randomly distributed data could (namely a xyz data). Note that a grid must exist before the use this command. 'node' or 'cell' indicates whether the input could data should be node or cell registed. \<data-could-file\> is the input data file. \<search-x\>,\<search-y\> and \<search-deg\> defines an oval of which the command is used to interpolate the could data to grid points. Additional options for reading the \<data-could-file\> could be given by the [\<text_descriptor\>] argument which has a format of \<order_str\>/\<delimiter\>/\<annotate\>/\<head_record\>. For example 0,1,2/,/#/0 means that the intput data could is stored int the first three columns separated by commas. The file has no head records and any line starts with '#' is an annotation.

#### gradient \<data-name\> \<new-data-name\> dx|dy \<order\>
Calculate directional gradient(s) of the selected data. The new gradient data will have the same
data type of the used data. 'dx' and 'dy' give the calculation directions. higher orders of the gradient could be specified by given them at the end of the command.

#### wavelet \<data-name\> \<wavelet-name\> \<order\> [\<show-summary\>]
Using a wavelet \<wavelet-name\> to decompose the selecte data. Avaiable wavelets include 'bd2'... .The order of decomposition could be set using \<order\>. And set \<show-summary\> to yes to see the summary.

#### sum \<new-data\> \<data1\> \<data2\>
Calculate the sum of the two data. The arguments' format should be clear enough.

#### diff \<new-data\> \<data1\> \<data2\>
Calculate the difference of the two data. The arguments' format should be clear enough.

#### bool \<new-data-name\> \<data-name1> \<bool-data\> [reverse]
Preform the bool operation on the slected data set. Put 'reverse' to for a reversed calculation.

#### calculator \<expression\> \<var1,data-name1\> \<var2,data-name2\>...
Preform mathematic calculation using stored data. \<expression\> is a string that describles the expected calculation. For example, 'c := a + b' represents a summation between two data 'a' and 'b'. And the sum is stored in data 'c'. Note that 'a', 'b' and 'c' are algebraic symbols. So they must be tided to actual data using \<var,data-name\>, in which \<var\> is the algebraic symbol, \<data-name>\ is the data name. Remeber to put the output data name at the first place and if the input expression contain spaces, enclose them with quotes.

#### function \<expression\> \<new-data-name\>
Create a new grid data named \<new-data-name\> from a mathematic expression. Default algebraic symbols 'f', 'x' and 'y' are defined for the resultent data, x-coordinate and y-coordinate, respectively. For example, 'f := x + y' represents a summation of the grid coordinates.

#### output enable|disable \<data-name1\> \<data-name2\>...
Enable or disable output of the given data.

#### rename [\<old-name\>] [\<new-name\>]
Change data name.

#### statistic \<data-name1\> \<data-name2\>...
Show statistics of the selected data.

#### profile \<data-name\> \<out-file\> {\<x\>,\<y\> \<x\>,\<y\> \<num\>}|\<xy-file\> 
Extract a profile from the selected data and output to a text file.